summaryrefslogtreecommitdiffstats
path: root/games/odamex/odamex.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/odamex/odamex.SlackBuild')
-rw-r--r--games/odamex/odamex.SlackBuild97
1 files changed, 97 insertions, 0 deletions
diff --git a/games/odamex/odamex.SlackBuild b/games/odamex/odamex.SlackBuild
new file mode 100644
index 0000000000..9cdd6a5514
--- /dev/null
+++ b/games/odamex/odamex.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/bash
+
+# Slackware build script for odamex
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=odamex
+VERSION=${VERSION:-0.5.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-src-$VERSION
+tar xvf $CWD/$PRGNAM-src-$VERSION.tar.bz2
+cd $PRGNAM-src-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i "s/-g -Wall -O2/$SLKCFLAGS/" Makefile
+
+# N.B. we want the game to look in /usr/share/games/doom for wad files,
+# to match the already-existing zdoom and prboom slackbuilds. Makefile
+# adds the /doom part to RESDIR itself. The patch adds this dir to the
+# default wad search path (otherwise we have to always run the game with
+# the -waddir option).
+
+patch -p1 < $CWD/waddir.diff
+
+make INSTALLDIR=/usr/games RESDIR=/usr/share/games
+make install INSTALLDIR=$PKG/usr/games RESDIR=$PKG/usr/share/games
+strip $PKG/usr/games/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/tech
+
+# The distributed docs are DOS CRLF text files, and they're executable. Ugh.
+for doc in CHANGELOG LICENSE MAINTAINERS README TODO odasrv.cfg; do
+ sed 's/\r//' < $doc > $PKG/usr/doc/$PRGNAM-$VERSION/$doc
+done
+mv $PKG/usr/doc/$PRGNAM-$VERSION/odasrv.cfg $PKG/usr/doc/$PRGNAM-$VERSION/odasrv.cfg.sample
+install -m0644 doc/tech/* $PKG/usr/doc/$PRGNAM-$VERSION/tech
+
+# Man page created for this slackbuild
+mkdir -p $PKG/usr/man/man6
+gzip -9c < $CWD/$PRGNAM.6 > $PKG/usr/man/man6/$PRGNAM.6.gz
+
+# Desktop stuff
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+for exe in $PRGNAM odasrv odalaunch; do
+ sed -e '/^Encoding/d' -e 's,/usr/share/doom,/usr/share/games/doom,' \
+ < installer/arch/$exe.desktop \
+ > $PKG/usr/share/applications/$exe.desktop
+ cat media/icon_${exe}_512.png > $PKG/usr/share/pixmaps/$exe.png
+done
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}